package vc.thinker.absctacts.mqtt.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serial;
import java.io.Serializable;

/**
 * Mqtt响应对象
 *
 * @author xfy
 * @since 2021/6/22 18:00
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class MqttResponse implements Serializable {

    @Serial
    private static final long serialVersionUID = 4548586577055536060L;

    /**
     * topic
     */
    private String topic;

    /**
     * 消息体
     */
    private String message;
}
